// variables
  --spacing

  --disabled-background
  --disabled-color

button
  border: 1px solid transparent
  display: flex
  justify-content: center
  align-items: center

  svg
    & + label
      margin-left: var( --spacing )

  &.full
    flex: 1

  &[disabled]
    background: var( --disabled-background )
    color: var( --disabled-color )
    cursor: not-allowed

    &:hover
      background: var( --disabled-background )
      color: var( --disabled-color )
